## ros-foxy-octomap-mapping 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(octomap_mapping)
find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-octomap-mapping (2.0.0-1focal) focal; urgency=high

  * ROS2 Migration (#95 <https://github.com/octomap/octomap_mapping/issues/95>)
  * Contributors: Daisuke Nishimatsu

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 24 Dec 2021 00:00:00 -0000

ros-foxy-octomap-mapping (0.6.7-1focal) focal; urgency=high

  * Address warnings on Noetic (#81 <https://github.com/octomap/octomap_mapping/issues/81>)
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 24 Dec 2021 00:00:00 -0000

ros-foxy-octomap-mapping (0.6.6-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 08 Dec 2020 00:00:00 -0000

ros-foxy-octomap-mapping (0.6.5-1focal) focal; urgency=high

  * Update maintainer email
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 22 Apr 2020 23:00:00 -0000

ros-foxy-octomap-mapping (0.6.4-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 08 Jan 2020 00:00:00 -0000

ros-foxy-octomap-mapping (0.6.3-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 28 Jan 2019 00:00:00 -0000

ros-foxy-octomap-mapping (0.6.2-1focal) focal; urgency=high

  * Update maintainer email (Wolfgang Merkt)
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sun, 27 Jan 2019 00:00:00 -0000

ros-foxy-octomap-mapping (0.6.1-1focal) focal; urgency=high

  * Adjust maintainer email
  * Contributors: Armin Hornung

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 18 Oct 2016 23:00:00 -0000

ros-foxy-octomap-mapping (0.6.0-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 25 Mar 2016 00:00:00 -0000

ros-foxy-octomap-mapping (0.5.3-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Thu, 09 Jan 2014 00:00:00 -0000

ros-foxy-octomap-mapping (0.5.2-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Thu, 09 Jan 2014 00:00:00 -0000

ros-foxy-octomap-mapping (0.5.1-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 25 Nov 2013 00:00:00 -0000

ros-foxy-octomap-mapping (0.5.0-1focal) focal; urgency=high

  * URLs in package.xml
  * Catkinization, remove support for arm_navigation

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 23 Oct 2013 23:00:00 -0000

ros-foxy-octomap-mapping (0.4.9-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 26 Jun 2013 23:00:00 -0000

ros-foxy-octomap-mapping (0.4.8-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 08 Jan 2013 00:00:00 -0000

ros-foxy-octomap-mapping (0.4.6-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 28 Jan 2013 00:00:00 -0000

ros-foxy-octomap-mapping (0.4.5-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sun, 17 Jun 2012 23:00:00 -0000

ros-foxy-octomap-mapping (0.4.4-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Thu, 19 Apr 2012 23:00:00 -0000

ros-foxy-octomap-mapping (0.4.3-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 16 Apr 2012 23:00:00 -0000

ros-foxy-octomap-mapping (0.4.2-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 16 Mar 2012 00:00:00 -0000

ros-foxy-octomap-mapping (0.4.1-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 21 Feb 2012 16:50:00 -0000

ros-foxy-octomap-mapping (0.4.0-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 21 Feb 2012 15:37:00 -0000

ros-foxy-octomap-mapping (0.3.8-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 25 Apr 2012 23:00:00 -0000

ros-foxy-octomap-mapping (0.3.7-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 22 Feb 2012 00:00:00 -0000

ros-foxy-octomap-mapping (0.3.6-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 09 Jan 2012 00:00:00 -0000

ros-foxy-octomap-mapping (0.3.5-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sat, 29 Oct 2011 23:00:00 -0000

ros-foxy-octomap-mapping (0.3.4-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 11 Oct 2011 23:00:00 -0000

ros-foxy-octomap-mapping (0.3.3-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 17 Aug 2011 06:41:00 -0000

ros-foxy-octomap-mapping (0.3.2-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 08 Aug 2011 23:00:00 -0000

ros-foxy-octomap-mapping (0.3.1-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Thu, 14 Jul 2011 23:00:00 -0000

ros-foxy-octomap-mapping (0.3.0-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 27 Jun 2011 23:00:00 -0000

ros-foxy-octomap-mapping (0.2.0-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 16 Mar 2011 00:00:00 -0000

ros-foxy-octomap-mapping (0.1.2-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 23 Nov 2010 00:00:00 -0000

ros-foxy-octomap-mapping (0.1.1-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 17 Nov 2010 00:00:00 -0000

ros-foxy-octomap-mapping (0.1.0-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 16 Nov 2010 00:00:00 -0000

=== debian/control ===
Source: ros-foxy-octomap-mapping
Section: misc
Priority: optional
Maintainer: Wolfgang Merkt <opensource@wolfgangmerkt.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/octomap_mapping
Standards-Version: 3.9.2

Package: ros-foxy-octomap-mapping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-octomap-server, ros-foxy-ros-workspace
Description: Mapping tools to be used with the OctoMap library, implementing a 3D occupancy grid mapping.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-octomap-mapping//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
